tcl_calldist.d(1m)

NAME
tcl_calldist.d - measure Tcl elapsed time for different types of operation.

SYNOPSIS
tcl_calldist.d [top] eg,
tcl_calldist.d    # default, truncate to 10 lines
tcl_calldist.d 25    # truncate each report section to 25 lines

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16).

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_calldist.d

FIELDS

1   Process ID

2   Type of call (proc/cmd/total)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_calldist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)